﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    Layout = null;
}
<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "libelle:Caisse:string:17%", "initial:Initial:number:10%", "vente:Vente:number:10%", "encaissement:Reg. Client:number:10%", "decaissement:Reg. Fournisseur:number:10%",  "depense:Dépense:number:10%", "ristourne:Ristourne:number:10%","regularisation:Régularisation:number:10%", "solde:Solde:number:10.3%:sum"];
</script>

<input id="LoardUrl" value="/Etat/ajaxEtatSoldeCaisse/" type="hidden" />
<input id="histoUrl" value="/Historique/IndexHistoriqueSoldeCaisse/" type="hidden" />
@*<input id="telechargerUrl" value="/Base/ExportEtatCompteClient/0" type="hidden" />*@
<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous confirmer cette action ?
        </div>
        <div class="boutons">
            <br />
            <button title="OK" type="button" id="ok" class="btn btn-default oufbutton"><i class="ouf-ok"></i>OK</button>
            <button title="Annuler" type="button" id="annuler" class="btn btn-default oufbutton"><i class="ouf-cancel"></i>Annuler</button>
        </div>
    </div>
</div>

<span style="font-weight: bold"></span>
<div class="boutons text-left">
    <table>
        <tr>
            <td>@Html.Partial("Filtre")</td>
            <td>
                @if (cmd.Contains("Historique_Etat_Solde_Caisse"))
                {
                    <button id='histo' class='btn btn-default oufbutton  RedirigerAvecid' title='Historique' value='Historique'><i class='ouf-history'></i>Historique</button>
                }
            </td>
            <td>
                @if(cmd.Contains("Export_Etat_Solde_Caisse"))// 
                {
                    <button title="Telecharger" type="button" id="telecharger" class="btn btn-default oufbutton"><i class="ouf-pdf"></i>Exporter</button>
                }
            </td>
        </tr>
    </table>

</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
        @if(cmd.Contains("Historique_Etat_Solde_Caisse"))
        {
            <li><i class='ouf-history'></i>Historique</li>
        }
    </ul>
</div>

<script>
    $("#telecharger").on('click', function (event) {
        window.location = "/Base/ExporterEtatSoldeCaisse/";
    });
</script>